
PyBindGen API Reference
=======================


Higher layers
-----------------------

.. toctree::
   :maxdepth: 2

   module
   function
   enum
   cppclass
   cppmethod
   cppattribute
   cppexception
   container

   gccxmlparser
   settings
   
   
Lower layers
-----------------------
.. toctree::
   :maxdepth: 2

   utils
   typehandlers
   cppclass_typehandlers
   codesink
